EDIT - bug #8632

ABCD retrieves DNA Sample from Biocase Provider even if it is not selected in the import
configuration

10/29/2019 04:50 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 90%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal Found in Version: Release 5.10
Description

same import configuration shown in #8631

Related issues:
Related to EDIT - bug #8631: ABCD import fails to put new taxa into the class... Closed

History

#1 - 10/29/2019 04:50 PM - Andreas Kohlbecker

- Description updated

#2 - 10/29/2019 04:51 PM - Andreas Kohlbecker

- Related to bug #8631: ABCD import fails to put new taxa into the classification, create mediaspecimens, etc added

#3 - 11/05/2019 09:13 AM - Katja Luther
- Category set to cdmadapter

- Status changed from New to Resolved
- Assignee set to Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.11

| removed the possibility to search for DNA for the abcd import because it created exceptions during save and it was not clear why.
The search for DNA is available for the specimen search, but for file import the user expect the import of the data of the file and not searching for dna.
If the users wants to have the search for the file import as well we need to reopen the ticket.

#4 - 11/05/2019 10:07 AM - Andreas Miiller

Patrick, can you please check if the DNA search is somehow needed in additivity context? | don't expect it but just to be on the save side.

#5 - 11/06/2019 09:29 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

The question in comment 4 is for Patrick, so | am reassigning this ticket

#6 - 11/07/2019 10:05 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

We used the specimen search for DNA in the Taxeditor. This still works so no problems from my side

#7 - 11/07/2019 10:13 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- % Done changed from 0 to 90

So AK, you may decide if this ticket can be fully closed. But | guess so.

#8 - 11/07/2019 11:28 AM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/issues/8631

Patrick Plitzner wrote:

We used the specimen search for DNA in the Taxeditor. This still works so no problems from my side

Do you mean by this General > Import > Specimens ?

Can | use this import to search for specimens for all Taxa and names?

#9 - 11/07/2019 11:30 AM - Andreas Kohlbecker
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Lutz Suhrbier

#10 - 11/07/2019 11:47 AM - Andreas Miiller

- Assignee changed from Lutz Suhrbier to Patrick Plitzner

why did you give this to Lutz? | guess this was a mistake?

#11 - 11/07/2019 11:49 AM - Andreas Kohlbecker

Andreas Muller wrote:

why did you give this to Lutz? | guess this was a mistake?

OOPS! Thank you for fixing this.

#12 - 11/07/2019 12:39 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

Andreas Kohlbecker wrote:

Patrick Plitzner wrote:

We used the specimen search for DNA in the Taxeditor. This still works so no problems from my side

Do you mean by this General > Import > Specimens ?

Can | use this import to search for specimens for all Taxa and names?

You can search Gbif and any BioCaseProvider by specifying parameters like taxon name, accession number, etc.

Katja was recently working on this import and added some new fields and configuration.

#13 - 11/07/2019 01:05 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Katja Luther
Patrick Plitzner wrote:

Andreas Kohlbecker wrote:

Patrick Plitzner wrote:

We used the specimen search for DNA in the Taxeditor. This still works so no problems from my side

Do you mean by this General > Import > Specimens ?

Can | use this import to search for specimens for all Taxa and names?

You can search Gbif and any BioCaseProvider by specifying parameters like taxon name, accession number, etc.

Katja was recently working on this import and added some new fields and configuration.

| was asking "Can | use this import to search for specimens for all Taxa and names?" because | am having the impression that the functionality which
was removed from the ABCD file import is not exactly the same as implemented in the so called "Specimens Import". My experience is the following:
During the ABCD file import specimens (DNA, etc?) have been fetched from a BioCase provider and where used to enrich names, taxa and units
which came from the file. So this is a batch operation affecting many taxa. | tried to use the "Specimens Import" to achieve the same result but without

success.

From by current knowledge, which is fragmentary and limted, | would vote for re-enabling the data enrichment via BioCase during the ABCD import,
but to improve the user interface, that is to make it optional and to allow the user for choosing the provider.

#14 - 11/07/2019 01:14 PM - Katja Luther
Andreas Kohlbecker wrote:
Patrick Plitzner wrote:
Andreas Kohlbecker wrote:
Patrick Plitzner wrote:

We used the specimen search for DNA in the Taxeditor. This still works so no problems from my side

Do you mean by this General > Import > Specimens ?

Can | use this import to search for specimens for all Taxa and names?

You can search Gbif and any BioCaseProvider by specifying parameters like taxon name, accession number, etc.

Katja was recently working on this import and added some new fields and configuration.
| was asking "Can | use this import to search for specimens for all Taxa and names?" because | am having the impression that the functionality
which was removed from the ABCD file import is not exactly the same as implemented in the so called "Specimens Import". My experience is the
following:
During the ABCD file import specimens (DNA, etc?) have been fetched from a BioCase provider and where used to enrich names, taxa and units

which came from the file. So this is a batch operation affecting many taxa. | tried to use the "Specimens Import" to achieve the same result but
without success.

This was something | implemented in GBOL context to get the DNA while importing the specimen searched via biocase.
The file import did not have this functionality before, therefore | removed the configuration possibility because | think if someone import something
from a file, he or she only wants to import the information out of the file.

#15 - 11/07/2019 01:23 PM - Andreas Kohlbecker
Katja Luther wrote:
Andreas Kohlbecker wrote:
Patrick Plitzner wrote:
Andreas Kohlbecker wrote:
Patrick Plitzner wrote:

We used the specimen search for DNA in the Taxeditor. This still works so no problems from my side

Do you mean by this General > Import > Specimens ?

Can | use this import to search for specimens for all Taxa and names?

You can search Gbif and any BioCaseProvider by specifying parameters like taxon name, accession number, etc.

Katja was recently working on this import and added some new fields and configuration.
| was asking "Can | use this import to search for specimens for all Taxa and names?" because | am having the impression that the
functionality which was removed from the ABCD file import is not exactly the same as implemented in the so called "Specimens Import". My

experience is the following:

During the ABCD file import specimens (DNA, etc?) have been fetched from a BioCase provider and where used to enrich names, taxa and
units which came from the file. So this is a batch operation affecting many taxa. | tried to use the "Specimens Import" to achieve the same
result but without success.

This was something | implemented in GBOL context to get the DNA while importing the specimen searched via biocase.
The file import did not have this functionality before, therefore | removed the configuration possibility because | think if someone import
something from a file, he or she only wants to import the information out of the file.

OK, so the "Specimens Import" can not replace the remove functionality, right?
® So why don't we keep this potentially valuable functionality as optional feature (experimental?).

e Can,t this functionality be integrated into the Specimen import, so that i can fetch specimens for a set of taxa?
e The user should have the option to review and select the fetched specimens before they are finally persisted and associated with the existing

cdm entities.
#16 - 11/07/2019 01:33 PM - Katja Luther
Andreas Kohlbecker wrote:
Katja Luther wrote:
Andreas Kohlbecker wrote:
Patrick Plitzner wrote:
Andreas Kohlbecker wrote:
Patrick Plitzner wrote:

We used the specimen search for DNA in the Taxeditor. This still works so no problems from my side

Do you mean by this General > Import > Specimens ?

Can | use this import to search for specimens for all Taxa and names?

You can search Gbif and any BioCaseProvider by specifying parameters like taxon name, accession number, etc.

Katja was recently working on this import and added some new fields and configuration.

| was asking "Can | use this import to search for specimens for all Taxa and names?" because | am having the impression that the
functionality which was removed from the ABCD file import is not exactly the same as implemented in the so called "Specimens
Import". My experience is the following:

During the ABCD file import specimens (DNA, etc?) have been fetched from a BioCase provider and where used to enrich names,
taxa and units which came from the file. So this is a batch operation affecting many taxa. | tried to use the "Specimens Import" to
achieve the same result but without success.

This was something | implemented in GBOL context to get the DNA while importing the specimen searched via biocase.
The file import did not have this functionality before, therefore | removed the configuration possibility because | think if someone import
something from a file, he or she only wants to import the information out of the file.

OK, so the "Specimens Import" can not replace the remove functionality, right?

e So why don't we keep this potentially valuable functionality as optional feature (experimental?).

¢ Can,t this functionality be integrated into the Specimen import, so that i can fetch specimens for a set of taxa?

* The user should have the option to review and select the fetched specimens before they are finally persisted and associated with the
existing cdm entities.

For the specimen search the user can choose which of the found specimen should be imported and in this context it is still possible to choose the
DNA search for the selected specimen.

| removed this from file import because it created problems which | could not solve as fast as it should be solved. But when the problems solved we
can reintegrate it to the file import. It is only two lines of code

#17 - 11/07/2019 01:51 PM - Andreas Kohlbecker

Katja Luther wrote:
... But when the problems solved we can reintegrate it to the file import. It is only two lines of code

This is just like music in my ears ;-)

#18 - 11/07/2019 03:09 PM - Andreas Miiller

As mentioned by Katja before | do not understand why we need it. It is work to keep such things running and as Katjas says: if someone runs a file
import he/she wants to import the file and not data from an external webservice. If the later is the case you can use the webservice import.

Also we have to have in minde that file based ABCD import does not really have a use-case (beside workshop setups). So we should not spend to
much time to make it sophisticated. The reason why the lines were removed | think was that it created a mixture between pure 10 and ext. And
therefore it was more difficult and not so clean to run tests on it. Something that we should keep in mind.

#19 - 11/07/2019 03:25 PM - Andreas Miiller

- Subject changed from ABCD retrieves DNA Sample from Biocase Provider even is not selected in the import configuration to ABCD retrieves DNA
Sample from Biocase Provider even if it is not selected in the import configuration

#20 - 11/07/2019 03:27 PM - Andreas Miiller

| suggest to close this ticket and if needed open a new ticket to discuss the necessity (and best implementation) of an integrated DNA import in the
ABCD file import

#21 - 11/07/2019 03:37 PM - Andreas Kohlbecker

| don't insist in keeping this function in the ABCD import. | only feared that we lose valuable functionality. therefore | tried to find out if General >
Import > Specimens serves the same functionality just by asking questions here in the ticket. But this obviously did not work well, since i never got the
answer | was aiming for. Direct verbal communication is often so much more efficient. So | did some tests with the editor. As far as | see, the
specimen import exactly does that, what was running in the ABCD import under the hood.

So | agree with removing these two lines of code completely.

#22 - 11/08/2019 09:42 AM - Katja Luther
- Status changed from Feedback to Closed
